RedCrawler API
Widget V1

Reorder Widgets V1

Reorder widgets in a sidebar section. Requires mod permissions. Provide comma-separated list of widget IDs in desired order.

PATCH /api/v1/communities/{name}/widget-order/{section}

Reorder widgets in a sidebar section. Requires mod permissions. Provide comma-separated list of widget IDs in desired order.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.
sectionstringYesWidget section to reorder.

Body parameters

NameTypeRequiredDescription
orderstringYesComma-separated list of widget IDs in desired order.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X PATCH "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/widget-order/sidebar" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"order": "<order>", "bearer": "<bearer>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/widget-order/sidebar", {
  method: "PATCH",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "order": "<order>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/widget-order/sidebar"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "order": "<order>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
}
resp = requests.patch(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": "",
  "error": null,
  "timestamp": "2026-04-29T18:22:30.493729+00:00"
}

On this page